import axios from 'axios';
import { ListParams, queryList } from '@/api/list';

export interface PermissionCreateRecord {
  title: string;
  code: string;
  remark: string;
}
export interface PermissionRecord extends PermissionCreateRecord {
  id: number | undefined;
}

export function create(data: PermissionCreateRecord) {
  return axios.post(`/api/permission`, data);
}

export function update(data: PermissionRecord) {
  return axios.patch(`/api/permission/${data.id}`, data);
}

export function getDetail(id: number) {
  return axios.get<PermissionRecord>(`/api/permission/${id}`);
}

export function remove(id: number) {
  return axios.delete(`/api/permission/${id}`);
}

export function queryPermissions(
  params?: ListParams<Partial<PermissionRecord>>
) {
  return queryList<PermissionRecord>(`/api/permission`, params);
}
