import axios from 'axios';
import { ListParams, queryList } from '@/api/list';

export interface RoleCreateRecord {
  name: string;
  level: string;
}
export interface RoleRecord extends RoleCreateRecord {
  id: number;
}


export function create(data: RoleCreateRecord) {
  return axios.post(`/api/role`, data);
}

export function update(data: RoleRecord) {
  return axios.patch(`/api/role/${data.id}`, data);
}


export function getDetail(id: number) {
  return axios.get<RoleRecord>(`/api/role/${id}`);
}

export function remove(id: number) {
  return axios.delete(`/api/role/${id}`);
}

export function queryRoles(params?: ListParams<Partial<RoleRecord>>) {
  return queryList(`/api/role`, params);
}
